# Selectricity: Voting Machinery for the Masses
# Copyright (C) 2007, 2008 Benjamin Mako Hill <mako@atdot.cc>
# Copyright (C) 2007 Massachusetts Institute of Technology
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with this program.  If not, see
# <http://www.gnu.org/licenses/>.

class FrontController < ApplicationController
  layout 'frontpage'
  require_dependency "user"
  require_dependency "election"
  require_dependency "account"

  def index
    @quickvotes = QuickVote.find(:all).sort {|a,b| b.startdate <=> a.startdate}[0..1]
    # if the person claims they are logged in
   
    if logged_in?
      # check to see that we actually have record of them
      if User.exists?(session[:user])
        username = User.find(session[:user]).login
        # if we have record of them, grab the list of their elections
        session[:user] = User.find(session[:user])
        @current_elections = session[:user].elections.sort do |a,b|
          b.enddate <=> a.enddate
        end
      else
        # if we have no record of them, set the user back to
	      # nothing and start again
        session[:user] = nil
      end
    end
  end

end
